{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.developpement-java {

  # Installe le paquet + JAVA_HOME
  programs.java = {
    enable = true;
    package = pkgs.jdk11;
  };

  # Paquets
  environment.systemPackages = with pkgs; [
    # Systèmes de build autour de java
    ant
    maven
    gradle
  ];
}
