{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf true {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Outils réseau
    iperf         # outil de mesure de la qualité du réseau
    iptraf-ng     # outil de mesure de la qualité du réseau
    nload         # affichage de statisques d'utilisation instantannées du réseau
    telnet

    ## Diagnostic
    arp-scan
    #mtr  -> installé plus bas
    nmap          # outil de scan de port réseau
    whois
  ];

  # https://github.com/NixOS/nixpkgs/issues/30335
  # Some programs need SUID wrappers, can be configured further or are started in user sessions.
  programs.mtr.enable = true;

  networking.firewall = {
    allowedTCPPorts = [
      5201 # iperf
    ];
    allowedUDPPorts = [
      5201 # iperf
    ];
  };
}
